FROM microsoft/aspnetcore:2.0-stretch AS base
WORKDIR /app
EXPOSE 80

FROM microsoft/aspnetcore-build:2.0-stretch AS build
WORKDIR /src
COPY ["./2359.csproj", "2359/"]
RUN dotnet restore "2359/2359.csproj"
COPY . .
WORKDIR "./"
RUN dotnet build "2359.csproj" -c Release -o /app

FROM build AS publish
RUN dotnet publish "2359.csproj" -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "2359.dll"]
